Subject: Re: bootstrap loader + gzip 1.3.5 --> huge image!?

From: rza1 <[email-masked]>
Date: Tue, 11 Mar 2008 16:45:55 +0100

I just recognized that gzip does his job right.
But objcopy of all binutils > 2.16.1 has problems during binary copy:
powerpc-linux-objcopy -O binary vmlinux arch/ppc/boot/images/vmlinux.bin

The vmlinux file does look good (what i can see with vi) but the 
generated vmlinux.bin file is strange. Windows machines say that the 
vmlinux.bin file is > then 3GByte, but linux says 1,5Mbyte. But, I can't 
open it with vi...

Anywhay i think binutils > 2.16.1 has some problems with ppc.

Does anyone else use buildroot for ppc405 platform and solved the 
problems with actual binutils versions?
cheers!
robert

Robert Zach wrote:
> hi list!
>
> I am using the xilinx git tree with the included bootstrap loader.
> Everthing works fine when i use binutils-2.16.1-gcc-3.4.6-uClibc-0.9.29.
>
> But when useing binutils-2.18.50-gcc-4.2.0-uClibc-0.9.29  (generated 
> with buildroot) i get the following problem:
>
> At the end of the kernel build process the vmlinux image gets 
> compressed (for the bootstrap loader).
> something like:
> gzip -f -9 < arch/ppc/boot/images/vmlinux.bin > 
> arch/ppc/boot/images/vmlinux.gz.$$
> when i compiled the kernel with 
> binutils-2.16.1-gcc-3.4.6-uClibc-0.9.29 the resulting image size is 
> smaller then the original and everything works (the bootstrap loader 
> uncompresses, the kernel boots, ..)
>
> But when using the binutils-2.18.50-gcc-4.2.0-uClibc-0.9.29 
> cross-toolchain i get the following:
> du arch/ppc/boot/images/vmlinux.bin
> 1264    arch/ppc/boot/images/vmlinux.bin
> gzip -f -9 < arch/ppc/boot/images/vmlinux.bin > 
> arch/ppc/boot/images/vmlinux.gz.$$
> du arch/ppc/boot/images/vmlinux.gz.$$
> 3640    arch/ppc/boot/images/vmlinux.gz
>
> The resulting huge zImage.elf file does not work (the bootstraploader 
> stops somewhere early).
> Its the same for all other toolchains i tryed using binutils > 2.16.
>
> what does gzip do?
> I use the following version
> gzip --version
> gzip 1.3.5
> (2002-09-30)
> Copyright 2002 Free Software Foundation
> Copyright 1992-1993 Jean-loup Gailly
>
> Does anybody know this problem?
> any suggestions for a solution.
>
> thanks in advanced!
> greets!
> robert
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded